/*
 * see pipe.c
 */
#ifndef _SPIN_PIPE_H
#define _SPIN_PIPE_H  /* anti recursive */
#include "block.h"
#ifndef STOREH
#define STOREH 2   /* default: 2 since 2017-02-18, see pipe.c */
#endif

/* ------------------------------- read ------------------------ */
int pipe_ropen(char *name,int block);
int pipe_read(char *buf,int len,int block);
/* --------------------------- write --------------------- */
int pipe_wopen(char *name,int block);
int pipe_write(char *s,int l,int block);
/* ------------------- read/write ------------------ */
int pipe_close(int block);

int sub_ini();	/* start early child for popen("gzip",..) */
int sub_end();	/* kill child */

extern char *pipeHbuffer[B_NUM]; /* allocated outside in spins.c */
extern size_t pipeHlen[B_NUM];   /* set outside spins.c */

#endif
